package contrabase.repository.datastore;

public interface TabletManager {
	public Tablet createTablet(String userId, String tabletName) throws ContrabaseDatastoreException;
	public Tablet getTablet(String userId, String tabletName) throws ContrabaseDatastoreException;
	public void deleteTablet(String userId, String tabletName) throws ContrabaseDatastoreException;
	public boolean existTablet(String userId, String tabletName);
}
