package contrabase.repository.datastore.sqlite.update;

import java.sql.Connection;

import contrabase.api.UpdateValue;

public class SQLiteUpdateValueBoolean extends SQLiteUpdateValue {
	public SQLiteUpdateValueBoolean(Connection conn) {
		setConnection(conn);
	}

	@Override
	public boolean updateValue(String key, UpdateValue value) {
		if (value.isBool() == false)
			return false;
		
		return updateField("TABLET_BOOLEAN", value.getFieldName(), value.getFormattedValueString(), key);
	}

}
