package contrabase.repository.datastore.sqlite.update;

import java.sql.Connection;

import contrabase.api.UpdateValue;

class SQLiteUpdateValueDecimal extends SQLiteUpdateValue {
	public SQLiteUpdateValueDecimal(Connection conn) {
		setConnection(conn);
	}

	public boolean updateValue(String key, UpdateValue value) {
		if (value.isDecimal() == false)
			return false;
		
		return updateField("TABLET_NUMBER", value.getFieldName(), value.getFormattedValueString(), key);
	}

}
