package contrabase.repository.datastore.sqlite.update;

import java.sql.Connection;

import contrabase.api.UpdateValue;

public class SQLiteUpdateValueText extends SQLiteUpdateValue {
	public SQLiteUpdateValueText(Connection conn) {
		setConnection(conn);
	}

	@Override
	public boolean updateValue(String key, UpdateValue value) {
		if (value.isText() == false)
			return false;
		
		return updateField("TABLET_TEXT", value.getFieldName(), value.getFormattedValueString(), key);
	}
}
