package contrabase;

/**
 * @author jong10
 *  Contrabase Exception 예외처리 
 */
public class ContrabaseException extends Exception {
	private static final long serialVersionUID = 1L;
	
	@SuppressWarnings("unused")
	private ContrabaseException() {
	}
	
	public ContrabaseException(String message) {
		super(message);
	}
	
	public ContrabaseException(Throwable throwable) {
		super(throwable);
	}
	
	public ContrabaseException(String message, Throwable throwable) {
		super(message, throwable);
	}
}
