package contrabase.master;

public class Lock {
	boolean locked = false;

	public synchronized boolean isLocked() {
		return locked;
	}

	public synchronized void waitForThis() throws InterruptedException {
		if (locked == true)
			this.wait();
	}

	public synchronized void lock() throws InterruptedException {
		locked = true;
	}

	public synchronized void unlock() throws InterruptedException {
		locked = false;
		this.notifyAll();
	}
}
