package contrabase.repository.datastore;

public class TabletEntry {
	private String userId;
	private String tabletName;
	private long count;
	
	public TabletEntry(String userId, String tabletName, long count) {
		this.userId = userId;
		this.tabletName = tabletName;
		this.count = count;
	}

	public String getUserId() {
		return userId;
	}

	public String getTabletName() {
		return tabletName;
	}

	public long getCount() {
		return count;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public void setTabletName(String tabletName) {
		this.tabletName = tabletName;
	}

	public void setCount(long count) {
		this.count = count;
	}

	public synchronized void increaseCount(int count) {
		this.count += count;
	}

	public synchronized void decreaseCount(int count) {
		this.count -= count;
	}
}
