package contrabase.repository.datastore.sqlite.update;

import java.sql.Connection;

import contrabase.api.UpdateValue;

public class SQLiteUpdateValueBlob extends SQLiteUpdateValue {
	public SQLiteUpdateValueBlob(Connection conn) {
		setConnection(conn);
	}

	@Override
	public boolean updateValue(String key, UpdateValue value) {
		if (value.isBlob() == false)
			return false;
		
		return updateBlobField("TABLET_BLOB", value.getFieldName(), value.getValueBytes(), key);
	}
}
